<?PHP
/************************************************************************/
/* NPDS V : Net Portal Dynamic System .                                 */
/* ===========================                                          */
/*                                                                      */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2005 by Philippe Brunier   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
if (!function_exists("Mysql_Connexion")) {include ("mainfile.php");}
if (!isset($sid) && !isset($tid)) { exit(); }

   if ($op == "Reply") {
      Header("Location: comments.php?op=Reply&pid=0&sid=$sid&mode=$mode&order=$order&thold=$thold");
   }
   settype($archive, "integer");
   if (!$archive)
      $xtab=news_aff("libre","where sid='$sid'",1,1);
   else
      $xtab=news_aff("archive","where sid='$sid'",1,1);

   list($sid, $catid, $aid, $title, $time, $hometext, $bodytext, $comments, $counter, $topic, $informant, $notes) = $xtab[0];
   if (!$aid) {
      header ("Location: index.php");
   }
   mysql_query("UPDATE stories SET counter=counter+1 where sid='$sid'");

   include ("header.php");
   // Include cache manager
   global $SuperCache;
   if ($SuperCache) {
      $cache_obj = new cacheManager();
      $cache_obj->startCachingPage();
   }
   if (($cache_obj->genereting_output==1) or ($cache_obj->genereting_output==-1) or (!$SuperCache)) {
      formatTimestamp($time);
      $title = aff_langue(stripslashes($title));
      $hometext = aff_code(aff_langue(stripslashes($hometext)));
      $bodytext = aff_code(aff_langue(stripslashes($bodytext)));
      $notes = aff_code(aff_langue(stripslashes($notes)));

      if ($notes!= "") $notes="<div class=\"AIDE\">".translate("Note")." : \"$notes\"</div>";
      if ($bodytext == "") {
         $bodytext = meta_lang("$hometext<br /><br />$notes");
      } else {
         $bodytext = meta_lang("$hometext<br /><br />$bodytext<br /><br />$notes");
      }
      if ($informant == "") {$informant = $anonymous;}

      getTopics($sid);

      if ($catid != 0) {
         $resultx = mysql_query("select title from stories_cat where catid='$catid'");
         list($title1) = mysql_fetch_row($resultx);
         $title = "<a href=\"index.php?op=newindex&amp;catid=$catid\"><span class=\"NOIR\">".aff_langue($title1)."</span></a> : $title";
      }

      $boxtitle=translate("Related Links");
      $boxstuff="<ul>";
      $result=mysql_query("select name, url from related where tid='$topic'");
      while(list($name, $url) = mysql_fetch_row($result)) {
         $boxstuff .= "<li><a href=\"$url\" target=\"new\"><span class=\"NOIR\">$name</span></a></li>";
      }
      $boxstuff .= "</ul>
      <ul>
      <li><a href=\"search.php?topic=$topic\"><span class=\"NOIR\">".translate("More about")." ".aff_langue($topictext)."</span></a></li>
      <li><a href=\"search.php?member=$informant\"><span class=\"NOIR\">".translate("News by")." $informant</span></a></li>
      </ul>
      <br /><br /><div class=\"BOXC\">".translate("Most read story about")." ".aff_langue($topictext)." :</div>";
      $xtab=news_aff("big_story","where topic=$topic",0,1);
      list($topstory, $ttitle) = $xtab[0];
      $boxstuff .= "<ul>
      <li><a href=\"article.php?sid=$topstory\"><span class=\"NOIR\">".aff_langue($ttitle)."</span></a></li>
      </ul>
      <br /><br /><div class=\"BOXC\">".translate("Last news about")." ".aff_langue($topictext)." :</div>";

      if (!$archive)
         $xtab=news_aff("libre","where topic=$topic and archive='0' order by sid DESC",0,5);
      else
         $xtab=news_aff("archive","where topic=$topic and archive='1' order by sid DESC",0,5);
      $story_limit=0;
      $boxstuff .="<ul>";
      while (($story_limit<10) and ($story_limit<sizeof($xtab))) {
         list($sid1,$catid1,$aid1,$title1) = $xtab[$story_limit];
         $story_limit++;
         $title1=aff_langue(addslashes($title1));
         $boxstuff.="<li><a href=\"article.php?sid=".$sid1."\" class=\"NOIR\">".aff_langue(stripslashes($title1))."</a></li>";
      }
      $boxstuff .="</ul>";

      $boxstuff .= "<p align=\"center\">";
      if ($anonpost==1 OR $admin OR $user) {
         if ($ibid=theme_image("box/comment.gif")) {$imgtmp=$ibid;} elseif ($ibid=theme_image("box/$language/comment.gif")) {$imgtmp=$ibid;} else {$imgtmp="$userimg$language/comment.gif";}
         $boxstuff .= "<a href=\"comments.php?op=Reply&amp;pid=0&amp;sid=$sid\"><img src=\"$imgtmp\" border=\"0\" alt=\"\" align=\"middle\" /></a></p>\n<p align=\"center\">";
      }
      $boxstuff .= "<a href=\"print.php?sid=$sid\">";
      if ($ibid=theme_image("box/print.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/print.gif";}
      $boxstuff .= "<img src=\"$imgtmp\" border=\"0\" alt=\"".translate("Printer Friendly Page")."\" align=\"middle\"></a>&nbsp;&nbsp;";
      if ($ibid=theme_image("box/friend.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/friend.gif";}
      $boxstuff .= "<a href=\"friend.php?op=FriendSend&amp;sid=$sid\"><img src=\"$imgtmp\" border=\"0\" alt=\"".translate("Send this Story to a Friend")."\" align=\"middle\" /></a>&nbsp;";
      $boxstuff .= "</p>";
      echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td valign=\"top\">";
      themearticle($aid, $informant, $datetime, $title, $bodytext, $topic, $topicname, $topicimage, $topictext);
      echo "</td><td valign=\"top\"><div id=\"box_article\">
            <div class=\"bloc_title1\"></div>
            <h3>".$boxtitle."</h3>
            <div class=\"bloc_content1\">
            ".$boxstuff."
            </div>
            <div class=\"bloc_content2\"></div>
            </div>";
      echo "</td></tr></table>";
    }
    if ($SuperCache) {
       $cache_obj->endCachingPage();
    }

   if ($mode != "nocomments") {
      include("comments.php");
   }
   include ("footer.php");
?>